MongoCursor::hasNext
MongoCursor::immortal
MongoCursor
PHP Manual

# MongoCursor::hint

(PECL mongo >=0.9.0)

MongoCursor::hint — Gives the database a hint about the query

### Description

public MongoCursor MongoCursor::hint ( mixed `$index` )

### Parameters

`index`

  Index to use for the query. If a string is passed, it should correspond to an index name. If an array or object is passed, it should correspond to the specification used to create the index (i.e. the first argument to MongoCollection::ensureIndex()).

### Return Values

Returns this cursor.

### Errors/Exceptions

Throws MongoCursorException if this cursor has started iterating.

### Changelog

Version | Description
--- | ---
1.4.0 | The `index` argument now supports index names as string values. In versions before 1.4.0, only array or object values were accepted.

MongoCursor::hasNext
MongoCursor::immortal
MongoCursor
PHP Manual